## com.sun.jersey.spi.container
Interface ResourceMethodCustomInvokerDispatchProvider

    public interface ResourceMethodCustomInvokerDispatchProvider

Service-provider interface for creating `RequestDispatcher` instances.

An implementation (a service-provider) identifies itself by placing a provider-configuration file (if not already present), "com.sun.research.ws.rest.spi.invoker.ResourceMethodCustomInvokerDispatchProvider" in the resource directory `META-INF/services`, and including the fully qualified service-provider-class of the implementation in the file.

This interface is similar to `ResourceMethodDispatchProvider`, but allows to use a custom `JavaMethodInvoker` instance, which will be used to make the final Java method call.

Author:
  Jakub.Podlesak@Oracle.com

Method Summary
`RequestDispatcher` | `create(AbstractResourceMethod abstractResourceMethod, JavaMethodInvoker invoker)` Create a `RequestDispatcher` for a resource method of a resource.

Method Detail

### create

    RequestDispatcher create(AbstractResourceMethod abstractResourceMethod,
                             JavaMethodInvoker invoker)

  Create a `RequestDispatcher` for a resource method of a resource.

  Parameters:
    `abstractResourceMethod` - the abstract resource method.
    `invoker` - custom Java method invoker instance
  Returns:
    the request dispatcher, otherwise null if it could not be created for the abstract resource method.

Copyright © 2017 Oracle Corporation. All Rights Reserved.